searchNodes=[{"doc":"Documentation for CleanArchitecture .","ref":"CleanArchitecture.html","title":"CleanArchitecture","type":"module"},{"doc":"Default functions and behavior for bounded contexts.","ref":"CleanArchitecture.BoundedContext.html","title":"CleanArchitecture.BoundedContext","type":"module"},{"doc":"Default functions for input pattern necessary to perform an action.","ref":"CleanArchitecture.Contract.html","title":"CleanArchitecture.Contract","type":"module"},{"doc":"Validates required only when the attribute is present to the input. This ables us to update something partially, when the attribute cannot be nil or empty but the key is not required to be present at the input to perform the action. The following examples explore a scenario when last_name attribute is required if attribute is present. Examples iex&gt; validate_required_if_attribute_is_present ( % Ecto.Changeset { } , [ :last_name ] , %{ name : &quot;Foo&quot; } ) % Ecto.Changeset { valid? : true } iex&gt; validate_required_if_attribute_is_present ( % Ecto.Changeset { } , [ :last_name ] , %{ last_name : &quot;Bar&quot; } ) % Ecto.Changeset { valid? : true } iex&gt; validate_required_if_attribute_is_present ( % Ecto.Changeset { } , [ :last_name ] , %{ name : &quot;Foo&quot; , last_name : &quot;Bar&quot; } ) % Ecto.Changeset { valid? : true } iex&gt; validate_required_if_attribute_is_present ( % Ecto.Changeset { } , [ :last_name ] , %{ name : &quot;Foo&quot; , last_name : nil } ) % Ecto.Changeset { valid? : false } iex&gt; validate_required_if_attribute_is_present ( % Ecto.Changeset { } , [ :last_name ] , %{ name : &quot;Foo&quot; , last_name : &quot;&quot; } ) % Ecto.Changeset { valid? : false }","ref":"CleanArchitecture.Contract.html#validate_required_if_attribute_is_present/3","title":"CleanArchitecture.Contract.validate_required_if_attribute_is_present/3","type":"function"},{"doc":"Input pattern necessary to perform a list use case. Fields: page :: Used to paginate. (default 1, min 1) page_size :: Used to paginate. (default 10, min 1, max 100)","ref":"CleanArchitecture.Contracts.List.html","title":"CleanArchitecture.Contracts.List","type":"module"},{"doc":"","ref":"CleanArchitecture.Contracts.List.html#pagination_fields/0","title":"CleanArchitecture.Contracts.List.pagination_fields/0","type":"function"},{"doc":"","ref":"CleanArchitecture.Contracts.List.html#pagination_schema_fields/0","title":"CleanArchitecture.Contracts.List.pagination_schema_fields/0","type":"macro"},{"doc":"","ref":"CleanArchitecture.Contracts.List.html#put_default_page_changes/1","title":"CleanArchitecture.Contracts.List.put_default_page_changes/1","type":"function"},{"doc":"","ref":"CleanArchitecture.Contracts.List.html#put_default_page_size_changes/1","title":"CleanArchitecture.Contracts.List.put_default_page_size_changes/1","type":"function"},{"doc":"","ref":"CleanArchitecture.Contracts.List.html#put_default_pagination_changes/1","title":"CleanArchitecture.Contracts.List.put_default_pagination_changes/1","type":"function"},{"doc":"","ref":"CleanArchitecture.Contracts.List.html#validate_pagination/1","title":"CleanArchitecture.Contracts.List.validate_pagination/1","type":"function"},{"doc":"Default functions and behavior for entities.","ref":"CleanArchitecture.Entity.html","title":"CleanArchitecture.Entity","type":"module"},{"doc":"Default functions and behavior for interactors.","ref":"CleanArchitecture.Interactor.html","title":"CleanArchitecture.Interactor","type":"module"},{"doc":"Module that implements paginate function to be used for Repo queries. Fields: page_number page_size entries total_entries total_pages","ref":"CleanArchitecture.Pagination.html","title":"CleanArchitecture.Pagination","type":"module"},{"doc":"","ref":"CleanArchitecture.Pagination.html#paginate/3","title":"CleanArchitecture.Pagination.paginate/3","type":"function"}]